#include "descriptor/descriptor.h"

int main (void) {

	/**************************SURFACES ITEM*************************************/
	ITEM radone1,radone2,corpo,coda,precoda,aladestra,alasinistra;
	ITEM alainfdes1,alainfdes2,alainfdes3,alainfsin1,alainfsin2,alainfsin3;
	ITEM alaantdes1,alaantdes2,alaantdes3,alaantsin1,alaantsin2,alaantsin3;
	ITEM alaverdes1,alaverdes2,alaverdes3,alaverdes4,fusoliera;
	ITEM alaversin1,alaversin2,alaversin3,alaversin4,ugeldestra,ugelsinistra;
	ITEM reatdestra,reatsinistra,cildestra,cilsinistra;
	ITEM cenreatdestra,cenreatsinistra,rettdestra,rettsinistra;
	ITEM termdestra,termsinistra,stellaaad,stellaaas,stellaavd,stellaavs;

	ITEM scena,cielo,Cielo,Radone,Corpo,Coda,AlaDestra,AlaSinistra,AlaInfDes,AlaInfSin;
	ITEM AlaAntDes,AlaAntSin,AlaVerDes,AlaVerSin,UgelloDestra,UgelloSinistra;
	ITEM ReattDestra,ReattSinistra,CilDestra,CilSinistra;	
	ITEM CenReatDestra,CenReatSinistra,RettDestra,RettSinistra;
	ITEM TermDestra,TermSinistra,Fusoliera,StellaAAD,StellaAAS,StellaAVD,StellaAVS;

	/************************ATTRIBUTES ITEM*****************************/
	ITEM stella, fuso, radone, ugello, reattore, militare, bianco, attributo_cielo;

	set_background(1,1,0.953,FALSE);
        set_ambient_light(0.77,1,1,3.525);
        create_point_light(18.876, 117.558, 69.620, 1, 1, 0.439, 1, 0, "Light_Terra");
	create_point_light(-0.269, -60.596, -26.007, 1, 1, 0.514, 1, 0, "Light_Basso");

/********************************ATTRIBUTES DEFINITION**********************************/
	
	/******************CIELO********************/
	attributo_cielo = create_attribute("materiale_cielo");
	set_color(attributo_cielo, 0.773, 0.929, 0.988, 0.9, 0.9);
	set_transparency(attributo_cielo, 0, 0, 0, 2);

	/******************STELLA********************/
	stella=create_attribute("stella");
	set_color(stella, 1, 0.07, 0.07, 0.69, 0.899);
	set_reflectivity(stella, 0.1, 2);
	set_transparency(stella, 0, 0, 0, 1);
	
	/******************FUSOLIERA*****************/
        fuso=create_attribute("fuso");
        set_color(fuso, 0.745, 1, 0.929, 0.28, 0.734);
        set_reflectivity(fuso, 0.22, 2);
        set_transparency(fuso, 0.86, 0.61, 2, 1);

	/******************RADONE********************/
        radone=create_attribute("radone");
        set_color(radone, 0.078, 0.078, 0.078, 0, 1);
        set_reflectivity(radone, 0, 2);
        set_transparency(radone, 0, 0, 0, 1);

	/******************UGELLO********************/
        ugello=create_attribute("ugello");
        set_color(ugello, 0, 0, 0, 0.16, 0.853);
        set_reflectivity(ugello, 0.11, 2);
        set_transparency(ugello, 0, 0, 0, 1);

	/******************REATTORE******************/
        reattore=create_attribute("reattore");
        set_color(reattore, 0.463, 0.463, 0.463, 0.24, 1);
        set_reflectivity(reattore, 0, 2);
        set_transparency(reattore, 0, 0, 0, 1);

	/******************MILITARE******************/
        militare=create_attribute("militare");
        set_color(militare, 0.306, 0.38, 0.188, 0, 1);
        set_reflectivity(militare, 0.19, 2);
        set_transparency(militare, 0, 0, 0, 1);

	/******************BIANCO********************/
        bianco=create_attribute("bianco");
        set_color(bianco, 0.867, 0.867, 0.867, 0, 1);
        set_reflectivity(bianco, 0, 2);
        set_transparency(bianco, 0, 0, 0, 1);



/**********************************OBJECTS AND SCENE DEFINITIONS **************************/

/******************* RADONE *******************/
	radone1=read_nurbs("radone1.db");
	radone2=read_nurbs("radone2.db");
	set_attribute(radone1, militare);
	set_attribute(radone2, radone);	
	Radone=create_list(radone1,"Radone");
        Radone=insert_in_list(Radone,radone2);

	scena=create_list(Radone,"scena");
/**********************************************/


/******************* CIELO *******************/
        cielo=read_nurbs("cielo_sfera.db");
	set_scale(cielo, 1500, 1500, 1500);
	set_domain_texture(cielo,attributo_cielo,"textures/sky.hr",0.5,1,0.5,1,TRUE,0.1,0.1);
	Cielo=create_list(cielo,"Cielo");
        scena=insert_in_list(scena, Cielo);
/**********************************************/


/******************** CORPO *******************/
	corpo=read_nurbs("corpo.db");
	set_attribute(corpo, militare);
	Corpo=create_list(corpo,"Corpo");

	scena=insert_in_list(scena,Corpo);	
/**********************************************/


/******************** CODA ********************/
	coda=read_nurbs("coda.db");
	precoda=read_nurbs("precoda.db");
	set_attribute(coda, militare);
	set_attribute(precoda, militare);
	Coda=create_list(coda,"Coda");
	Coda=insert_in_list(Coda,precoda);
	scena=insert_in_list(scena,Coda);
/**********************************************/


/***************** ALA DESTRA *****************/
        aladestra=read_nurbs("aladestra.db");
	set_attribute(aladestra, militare);
        AlaDestra=create_list(aladestra,"AlaDestra");
        scena=insert_in_list(scena,AlaDestra);
/**********************************************/


/**************** ALA SINISTRA ****************/
        alasinistra=read_nurbs("alasinistra.db");
	set_attribute(alasinistra, militare);
        AlaSinistra=create_list(alasinistra,"AlaSinistra");
        scena=insert_in_list(scena,AlaSinistra);
/**********************************************/


/************ ALA INFERIORE DESTRA ************/
        alainfdes1=read_nurbs("alainfdes1.db");
        alainfdes2=read_nurbs("alainfdes2.db");
	alainfdes3=read_nurbs("alainfdes3.db");
	set_attribute(alainfdes1, militare);
	set_attribute(alainfdes2, militare);
	set_attribute(alainfdes3, militare);
        AlaInfDes=create_list(alainfdes1,"AlaInfDes");
        AlaInfDes=insert_in_list(AlaInfDes,alainfdes2);
	AlaInfDes=insert_in_list(AlaInfDes,alainfdes3);
        scena=insert_in_list(scena,AlaInfDes);
/**********************************************/


/********** ALA INFERIORE SINISTRA ************/
        alainfsin1=read_nurbs("alainfsin1.db");
        alainfsin2=read_nurbs("alainfsin2.db");
        alainfsin3=read_nurbs("alainfsin3.db");
	set_attribute(alainfsin1, militare);
        set_attribute(alainfsin2, militare);
        set_attribute(alainfsin3, militare);
        AlaInfSin=create_list(alainfsin1,"AlaInfSin");
        AlaInfSin=insert_in_list(AlaInfSin,alainfsin2);
        AlaInfSin=insert_in_list(AlaInfSin,alainfsin3);
        scena=insert_in_list(scena,AlaInfSin);
/**********************************************/


/************ ALA ANTERIORE DESTRA ************/
        alaantdes1=read_nurbs("alaantdestra1.db");
        alaantdes2=read_nurbs("alaantdestra2.db");
        alaantdes3=read_nurbs("alaantdestra3.db");
	set_attribute(alaantdes1, militare);
        set_attribute(alaantdes2, militare);
        set_attribute(alaantdes3, militare);
        AlaAntDes=create_list(alaantdes1,"AlaAntDes");
        AlaAntDes=insert_in_list(AlaAntDes,alaantdes2);
        AlaAntDes=insert_in_list(AlaAntDes,alaantdes3);
        scena=insert_in_list(scena,AlaAntDes);
/**********************************************/


/********** ALA ANTERIORE SINISTRA ************/
        alaantsin1=read_nurbs("alaantsinistra1.db");
        alaantsin2=read_nurbs("alaantsinistra2.db");
        alaantsin3=read_nurbs("alaantsinistra3.db");
	set_attribute(alaantsin1, militare);
        set_attribute(alaantsin2, militare);
        set_attribute(alaantsin3, militare);
        AlaAntSin=create_list(alaantsin1,"AlaAntSin");
        AlaAntSin=insert_in_list(AlaAntSin,alaantsin2);
        AlaAntSin=insert_in_list(AlaAntSin,alaantsin3);
        scena=insert_in_list(scena,AlaAntSin);
/**********************************************/


/************ ALA VERTICALE DESTRA ************/
        alaverdes1=read_nurbs("alavertdestra1.db");
        alaverdes2=read_nurbs("alavertdestra2.db");
        alaverdes3=read_nurbs("alavertdestra3.db");
	alaverdes4=read_nurbs("alavertdestra4.db");
	set_attribute(alaverdes1, militare);
        set_attribute(alaverdes2, militare);
        set_attribute(alaverdes3, militare);
        set_attribute(alaverdes4, militare);
	AlaVerDes=create_list(alaverdes1,"AlaVerDes");
        AlaVerDes=insert_in_list(AlaVerDes,alaverdes2);
        AlaVerDes=insert_in_list(AlaVerDes,alaverdes3);
	AlaVerDes=insert_in_list(AlaVerDes,alaverdes4);
        scena=insert_in_list(scena,AlaVerDes);
/**********************************************/


/************ ALA VERTICALE SINISTRA **********/
        alaversin1=read_nurbs("alavertsinistra1.db");
        alaversin2=read_nurbs("alavertsinistra2.db");
        alaversin3=read_nurbs("alavertsinistra3.db");
        alaversin4=read_nurbs("alavertsinistra4.db");
	set_attribute(alaversin1, militare);
        set_attribute(alaversin2, militare);
        set_attribute(alaversin3, militare);
	set_attribute(alaversin4, militare);
        AlaVerSin=create_list(alaversin1,"AlaVerSin");
        AlaVerSin=insert_in_list(AlaVerSin,alaversin2);
        AlaVerSin=insert_in_list(AlaVerSin,alaversin3);
        AlaVerSin=insert_in_list(AlaVerSin,alaversin4);
        scena=insert_in_list(scena,AlaVerSin);
/**********************************************/


/*************** UGELLO DESTRA ****************/
        ugeldestra=read_nurbs("ugeldestra.db");
	set_attribute(ugeldestra, ugello);
        UgelloDestra=create_list(ugeldestra,"UgelloDestra");
        scena=insert_in_list(scena,UgelloDestra);
/**********************************************/


/************** UGELLO SINISTRA ***************/
        ugelsinistra=read_nurbs("ugelsinistra.db");
	set_attribute(ugelsinistra, ugello);
        UgelloSinistra=create_list(ugelsinistra,"UgelloSinistra");
        scena=insert_in_list(scena,UgelloSinistra);
/**********************************************/


/*************** REATTORE DESTRA **************/
        reatdestra=read_nurbs("reatdestra.db");
	set_attribute(reatdestra, reattore);
        ReattDestra=create_list(reatdestra,"ReattDestra");
        scena=insert_in_list(scena,ReattDestra);
/**********************************************/


/************* REATTORE SINISTRA **************/
        reatsinistra=read_nurbs("reatsinistra.db");
	set_attribute(reatsinistra, reattore);
        ReattSinistra=create_list(reatsinistra,"ReattSinistra");
        scena=insert_in_list(scena,ReattSinistra);
/**********************************************/


/*************** CILINDRO DESTRA **************/
        cildestra=read_nurbs("cildestra.db");
	set_attribute(cildestra, militare);
        CilDestra=create_list(cildestra,"CilDestra");
        scena=insert_in_list(scena,CilDestra);
/**********************************************/


/************* CILINDRO SINISTRA **************/
        cilsinistra=read_nurbs("cilsinistra.db");
	set_attribute(cilsinistra, militare);
        CilSinistra=create_list(cilsinistra,"CilSinistra");
        scena=insert_in_list(scena,CilSinistra);
/**********************************************/


/************ CENTRO REATTORE DESTRA **********/
        cenreatdestra=read_nurbs("centroreattdestra.db");
	set_attribute(cenreatdestra, reattore);
        CenReatDestra=create_list(cenreatdestra,"CenReatDestra");
        scena=insert_in_list(scena,CenReatDestra);
/**********************************************/


/********** CENTRO REATTORE SINISTRA **********/
        cenreatsinistra=read_nurbs("centroreattsinistra.db");
	set_attribute(cenreatsinistra, reattore);
        CenReatSinistra=create_list(cenreatsinistra,"CenReatSinistra");
        scena=insert_in_list(scena,CenReatSinistra);
/**********************************************/


/************** RETTANGOLO DESTRA *************/
        rettdestra=read_nurbs("rettdestra.db");
	set_attribute(rettdestra, reattore);
        RettDestra=create_list(rettdestra,"RettDestra");
        scena=insert_in_list(scena,RettDestra);
/**********************************************/


/************** RETTANGOLO SINISTRA ***********/
        rettsinistra=read_nurbs("rettdinistra.db");
	set_attribute(rettsinistra, reattore);
        RettSinistra=create_list(rettsinistra,"RettSinistra");
        scena=insert_in_list(scena,RettSinistra);
/**********************************************/


/*************** TERMINALE DESTRA *************/
        termdestra=read_nurbs("termdestra.db");
	set_attribute(termdestra, reattore);
        TermDestra=create_list(termdestra,"TermDestra");
        scena=insert_in_list(scena,TermDestra);
/**********************************************/


/************* TERMINALE SINISTRA *************/
        termsinistra=read_nurbs("termsinistra.db");
	set_attribute(termsinistra, reattore);
        TermSinistra=create_list(termsinistra,"TermSinistra");
        scena=insert_in_list(scena,TermSinistra);
/**********************************************/


/****************** FUSOLIERA *****************/
        fusoliera=read_nurbs("fusoliera.db");
	set_attribute(fusoliera, fuso);
        Fusoliera=create_list(fusoliera,"Fusoliera");
        scena=insert_in_list(scena,Fusoliera);
/**********************************************/


/********* STELLA ROSSA ALA ANT DESTRA*********/
        stellaaad=read_nurbs("stellaaad.db");
	set_attribute(stellaaad, stella);
        StellaAAD=create_list(stellaaad,"StellaAAD");
        scena=insert_in_list(scena,StellaAAD);
/**********************************************/


/******** STELLA ROSSA ALA ANT SINISTRA********/
        stellaaas=read_nurbs("stellaaas.db");
	set_attribute(stellaaas, stella);
        StellaAAS=create_list(stellaaas,"StellaAAS");
        scena=insert_in_list(scena,StellaAAS);
/**********************************************/


/********* STELLA ROSSA ALA VER DESTRA*********/
        stellaavd=read_nurbs("stellaavd.db");
	set_attribute(stellaavd, stella);
        StellaAVD=create_list(stellaavd,"StellaAVD");
        scena=insert_in_list(scena,StellaAVD);
/**********************************************/


/******** STELLA ROSSA ALA VER SINISTRA********/
        stellaavs=read_nurbs("stellaavs.db");
	set_attribute(stellaavs, stella);
        StellaAVS=create_list(stellaavs,"StellaAVS");
        scena=insert_in_list(scena,StellaAVS);
/**********************************************/

	
	save_scene("mig.md","mig",scena);
	return(0);
}
